Alien::Package::Lsb(3)

NAME
Alien::Package::Lsb - an object that represents a lsb package

DESCRIPTION
This is an object class that represents a lsb package. It is derived from Alien::Package::Rpm.

METHODS

checkfile
    Lsb files are rpm's with a lsb- prefix, that depend on a package called 'lsb' and nothing else.

scan
    Uses the parent scan method to read the file. lsb is added to the depends.

prep
    The parent's prep method is used to generate the spec file. First though, the package's name is munged to make it lsb compliant (sorta) and lsb is added to its dependencies.

revert
    Undo the changes made by prep.

build
    Uses the parent's build method. If a lsb-rpm is available, uses it to build the package.

incrementrelease
    LSB package versions are not changed.

AUTHOR
Joey Hess <joey@kitenet.net>